.preloader {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: #fff;
    z-index: 999;
    will-change: opacity;
    &__logo {
        position: absolute;
        display: inline-block;
        top: 50%;
        left: 50%;
        margin: -63.5px 0 0 -48px;
        width: 96px;
        height: 127px;
        animation: bounceIn  1.3s linear forwards;
        will-change: height;
        transform-origin: 50% 50%;
    }
    &__box {        
        backface-visibility: hidden;
        will-change: transform;
        transform-origin: 50% 50%;
        height: 100%;
    }
    &__img {
        height: auto;
        width: 97px;
        max-height: none;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        max-width: none;
        transform-origin: 50% 50%;
        fill: $colorGold;
        &-f {
            height: auto;
            width: 97px;
            max-height: none;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            max-width: none;
            fill: $colorGold;
            transform-origin: 50% 50%;
            display: none;
        }
    }
    &__line {
        position: absolute;
        bottom: 67px;
        height: 0;
        width: 19%;
        animation: topLine  0.15s linear forwards;
        animation-delay: 2s;
        will-change: height;
        background: #BE8D55;
        transform-origin: 50% 50%;
        &__img {
            width: 100%;
            max-width: none;
            height: auto;
        }
        &_left {
            left: 0;
        }
        &_right {
            right: 0;
        }
        &-absolute {
            position: relative;
            height: 100%;
            width: 100%;
            top: 0;
            left: 0;
        }
    }
    &.complide {
        animation: opacityIn  0.3s linear forwards;
        animation-delay: 1.5s;
        .preloader__logo {
            animation: opacityIn  0.9s linear forwards;
            animation-delay: 0.7s;
            transform-origin: 50% 50%;
        }
        .preloader__box  {
            display: none;
        }
        .preloader__img {
            display: none;
        }
        .preloader__img-f {
            display: block;
            transform-origin: 50% 50%;
            transition: 0.35s linear;
            margin: auto;
            &.active {
                width: 400vw;
            }
        }
    }
}
.prelod-page {
    position: relative;
    text-align: center;
    overflow: hidden;
    &__stroke {
        display: inline-block;
    }
    &__fill {
        height: 36px;
        overflow: hidden;
        width: 28px;
        &-box {
            position: absolute;
            top: 0;
            left: 50%;
            transform: translateX(-50%);
            overflow: hidden;           
            animation: heightPreload 1.25s linear infinite;
            transform-origin: 50% 50%;
        }
        &-img { 
            width: 28px;
            max-height: none;
            max-height: none;
            height: 36px;
        }
    }
}
@keyframes heightPreload {
    0%{
        height: 0;
    }
    50% {
        height: 36px;
    }
    100%{
        height: 0;
    }
}
@keyframes bounceIn {
    0%{
        top: -10%;
    }
    25%{
        top: 55%;
    }
    50%{
        top: 50%;
    }
    75%{
        top: 53%;
    }
    100%{
        top: 50%;
    }
}
@keyframes topLine {
    0%{
        height: 0;
    }
    100%{
        height: 47%;
    }
}
@keyframes scale {
    0%{
        transform: matrix(0, 0, 0, 0, 0, 0);
        transform: scale(1) translate(0%, 0%);
    }
    100%{
        transform: matrix(20, 0, 0, 20, 0, 0);
        transform: scale(30) translate(-50%, -40%);
    }
}
@keyframes scaleImg {
    0%{
        width: 96px;
        transform: translate(-50%, -50%);
    }
    100% {
        transform: translate(-50%, -40%);
        width: 400vw;
    }
}
@keyframes scaleImg1 {
    0%{
        width: 96px;
        transform: translate(-50%, -50%);
    }
    100% {
        transform: translate(-50%, -40%);
        width: 400vw;
    }
}
@keyframes opacityIn {
    0%{
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}